=== debian/changelog ===
gmtsar (6.4+ds-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 30 May 2024 20:33:46 +0200

gmtsar (6.4+ds-1) unstable; urgency=medium

  * Initial release (Closes: #1071841).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 28 May 2024 18:55:23 +0000
