=== debian/changelog ===
gmtsar (6.5+ds-2build1) plucky; urgency=medium

  * No-change rebuild against libhdf5-310

 -- Miriam España Acebal <miriam.espana@canonical.com>  Sun, 26 Jan 2025 10:54:44 +0000

gmtsar (6.5+ds-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Remove generated files in clean target.

  [ Antonio Valentino ]
  * debian/patches:
    - New 0007-Clean.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 29 Jun 2024 18:04:03 +0000

gmtsar (6.5+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.
  * Install "ext_orb_lt1" and the corresponding man page.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 29 Jun 2024 11:28:31 +0000
