=== debian/control ===
Source: gmtsar
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               gfortran,
               libblas-dev,
               libepr-api-dev,
               libgmt-dev,
               libhdf5-dev,
               liblapack-dev,
               libtiff-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/gmtsar
Vcs-Git: https://salsa.debian.org/debian-gis-team/gmtsar.git
Homepage: https://topex.ucsd.edu/gmtsar
Rules-Requires-Root: no
Description: InSAR processing system based on Generic Mapping Tools
 GMTSAR is an open source Interferometric Synthetic Aperture RADAR
 (InSAR) processing system designed for users familiar with Generic
 Mapping Tools (GMT).
 .
 The code is written in C and will compile on any computer where GMT
 and NETCDF are installed.
 .
 The system has three main components:
  * a preprocessor for each satellite data type (ERS-1/2, Envisat,
    ALOS-1, TerraSAR-X, COSMO-SkyMed, Radarsat-2, Sentinel-1A/B,
    and ALOS-2) to convert the native format and orbital information
    into a generic format;
  * an InSAR processor to focus and align stacks of images, map
    topography into phase, and form the complex interferogram;
  * a postprocessor, mostly based on GMT, to filter the interferogram
    and construct interferometric products of phase, coherence,
    phase gradient, and line-of sight displacement in both radar and
    geographic coordinates.
 .
 GMT is used to display all the products as pdf files and KML images
 for Google Earth. A set of shell scripts has been developed for
 standard 2-pass processing as well as geometric image alignment for
 stacking and time series.

Package: gmtsar
Architecture: all
Depends: gmtsar-core (>= ${source:Version}),
         gmtsar-scripts (>= ${source:Version}),
         ${misc:Depends}
Recommends: snaphu
Description: ${source:Synopsis} - metapackage
 ${source:Extended-Description}

Package: gmtsar-core
Architecture: any
Depends: gmtsar-data (>= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: ${source:Synopsis} - core
 ${source:Extended-Description}
 .
 This package provides gmtsar executable programs.

Package: gmtsar-data
Architecture: all
Depends: ${misc:Depends}
Description: ${source:Synopsis} - data
 ${source:Extended-Description}
 .
 This package provides gmtsar shared data files.

Package: gmtsar-scripts
Architecture: all
Depends: gmtsar-core (>= ${source:Version}),
         csh,
         gmt,
         python3,
         ${perl:Depends},
         ${misc:Depends}
Recommends: snaphu
Description: ${source:Synopsis} - scripts
 ${source:Extended-Description}
 .
 This package provides c-shell sctipts for gmtsar.
