=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -z muldefs -g
export DEB_LDFLAGS_MAINT_APPEND = -z muldefs -g

%:
	dh $@

override_dh_auto_clean:
	mkdir -p snaphu/src
	if [ ! -f snaphu/src/Makefile ] ; then cp debian/_dummy_makefile snaphu/src/Makefile ; fi
	mkdir -p preproc/ENVI_preproc/ENVI_SLC_decode/epr_api-2.3/src
	if [ ! -f preproc/ENVI_preproc/ENVI_SLC_decode/epr_api-2.3/src/Makefile ] ; then \
	  cp debian/_dummy_makefile preproc/ENVI_preproc/ENVI_SLC_decode/epr_api-2.3/src/Makefile ; \
	fi
	if [ -f config.mk ] ; then make spotless ; fi
	$(RM) -r snaphu preproc/ENVI_preproc/ENVI_SLC_decode/epr_api-2.3

override_dh_auto_configure:
	dh_auto_configure -- --enable-rpath=no --with-orbits-dir=/usr/share/gmtsar/orbits

execute_before_dh_auto_install:
	mkdir -p debian/tmp/usr/share/gmtsar/snaphu/config
	# mkdir -p debian/tmp/usr/share/gmtsar/orbits

execute_after_dh_auto_install:
	sed -i 's:set ORBITS = "/usr/share/gmtsar/orbits":set ORBITS = "$${HOME}/.gmtsar/orbits":g' \
		debian/tmp/usr/bin/ENVI_pre_process
	sed -i 's:set ORBITS = "/usr/share/gmtsar/orbits":set ORBITS = "$${HOME}/.gmtsar/orbits":g' \
		debian/tmp/usr/bin/ERS_pre_process
	sed -i 's:set ORBITS = "/usr/share/gmtsar/orbits":set ORBITS = "$${HOME}/.gmtsar/orbits":g' \
		debian/tmp/usr/bin/ENVI_SLC_pre_process
