=== ALOS_preproc/ALOS_pre_process_SS/Makefile ===
--- 
+++ 
@@ -21,4 +21,4 @@
 	rm -f $(bindir)/$(PROG)
 
 clean:
-	rm -f $(OBJS) tags core
+	rm -f $(OBJS) tags core $(PROG)
