=== CSK_preproc/src_slc/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 CLIBS = -L../../../gmtsar -lgmtsar -L../lib -lxmlC $(GMT_LIB) $(HDF5_LDFLAGS) $(HDF5_LIBS) -lm
 
 $(PROG): $(OBJS)
-	$(CC) $(CFLAGS) -o $@ $(OBJS) $(CLIBS) 
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $(OBJS) $(CLIBS) 
 
 all:	$(PROG)
 
@@ -18,4 +18,4 @@
 	rm -f $(bindir)/$(PROG)
 
 clean:
-	rm -f $(OBJS) tags core
+	rm -f $(OBJS) tags core $(PROG)
