=== Makefile ===
--- 
+++ 
@@ -49,8 +49,8 @@
 	for d in $(PREPROCESSORS); do \
 		(cd preproc/$${d}_preproc; $(MAKE) install); \
 	done
-	$(INSTALL) preproc/ERS_preproc/scripts/virgin.PRM $(sharedir)
-	$(INSTALL) preproc/ENVI_preproc/scripts/virgin_envisat.PRM $(sharedir)
+	$(INSTALL) -m 0644 preproc/ERS_preproc/scripts/virgin.PRM $(sharedir)
+	$(INSTALL) -m 0644 preproc/ENVI_preproc/scripts/virgin_envisat.PRM $(sharedir)
 
 install-main:
 	for d in $(DIRS); do \
@@ -59,9 +59,9 @@
 	$(INSTALL) -d $(sharedir)
 	$(INSTALL) -d $(sharedir)/filters
 	$(INSTALL) -d $(sharedir)/snaphu/config
-	$(INSTALL) gmtsar/filters/[bfgsxy]* $(sharedir)/filters
-	$(INSTALL) gmtsar/csh/snaphu.conf.* $(sharedir)/snaphu/config
-	$(INSTALL) gmtsar/*.grd $(sharedir)
+	$(INSTALL) -m 0644 gmtsar/filters/[bfgsxy]* $(sharedir)/filters
+	$(INSTALL) -m 0644 gmtsar/csh/snaphu.conf.* $(sharedir)/snaphu/config
+	$(INSTALL) -m 0644 gmtsar/*.grd $(sharedir)
 
 install-orbits:
 	wget $(ORBITS_URL) 2>/dev/null || curl -O $(ORBITS_URL)
@@ -103,5 +103,9 @@
 	for d in $(PREPROCESSORS); do \
 		(cd preproc/$${d}_preproc; $(MAKE) spotless); \
 	done
-	rm -rf $(sharedir) bin share
+	rm -rf bin share
+	$(RM) gmtsar/csh/gmtsar_sharedir.csh \
+	preproc/ENVI_preproc/scripts/ENVI_SLC_pre_process \
+	preproc/ENVI_preproc/scripts/ENVI_pre_process \
+	preproc/ERS_preproc/scripts/ERS_pre_process
 	rm -rf config.log config.status config.mk configure autom4te.cache
