=== CSK_preproc/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 #   make all the files
 #
-DIRS	= src_slc src_raw
+DIRS	= src_slc src_raw src_slc2
 
 all:
 	$(LN_S) -f ../S1A_preproc/include include
@@ -27,3 +27,4 @@
 	done
 
 spotless:	clean
+	$(RM) include lib
