=== TSX_preproc/Makefile ===
--- 
+++ 
@@ -25,3 +25,4 @@
 	done
 
 spotless:	clean
+	$(RM) include lib
