=== debian/changelog ===
gmtsar (6.6+ds-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/copyright:
    - Update the list of files to be excluded.
  * debian/patches:
    - Drop 0002-std-gnu99.patch, 0003-Fix-file-permissions.patch,
      0005-Spelling.patch, 0006-LDFLAGS.patch, 0008-loong64.patch
      and 0009-Disable-m64-gcc-flag-on-riscv64.patch
    - Refresh and renumber remaining patches.
  * Install the new program make_slc_csk2.
  * New manpage for make_slc_csk2.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 21 Oct 2025 06:33:29 +0000

gmtsar (6.5+ds-4) unstable; urgency=medium

  * Upload to unstable.
  * Mark gmtsar-data as Multi-Arch: foreign.
  * Update d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 10 Aug 2025 18:20:49 +0000

gmtsar (6.5+ds-4~exp1) experimental; urgency=medium

  [ Gui-Yue ]
  * Disable -m64 option in riscv64 (Closes: #1107403).

  [ Antonio Valentino ]
  * debian/patches:
    - Rename patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 08 Jun 2025 10:40:00 +0000

gmtsar (6.5+ds-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.
  * Add patch by wuruilong for loong64 support.
    (closes: #1099721)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 17 Apr 2025 05:01:32 +0000
