=== debian/control ===
--- 
+++ 
@@ -11,11 +11,10 @@
                libhdf5-dev,
                liblapack-dev,
                libtiff-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/gmtsar
 Vcs-Git: https://salsa.debian.org/debian-gis-team/gmtsar.git
 Homepage: https://topex.ucsd.edu/gmtsar
-Rules-Requires-Root: no
 Description: InSAR processing system based on Generic Mapping Tools
  GMTSAR is an open source Interferometric Synthetic Aperture RADAR
  (InSAR) processing system designed for users familiar with Generic
@@ -63,6 +62,7 @@
 Package: gmtsar-data
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: ${source:Synopsis} - data
  ${source:Extended-Description}
  .
