=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|c|beta|b|alpha|a)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?)?(?:rel|v|lerc)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/lerc-$1.$2/,\
repacksuffix=+ds \
https://topex.ucsd.edu/gmtsar/tar/GMTSAR_V(.*).tar
